---
title: XRRenderState.inlineVerticalFieldOfView
slug: Web/API/XRRenderState/inlineVerticalFieldOfView
tags:
  - API
  - Field of View
  - Vertical Field of View
  - WebXR
  - WebXR Device API
---
<p>{{Draft}}{{securecontext_header}}{{APIRef("WebXR Device API")}}</p>

<p class="summary">The read-only <strong><code>inlineVerticalFieldOfView</code></strong> property of the {{DOMxRef("XRRenderState")}} interface returns the default vertical field of view for <code>"inline"</code> sessions and <code>null</code> for all immersive sessions.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var inlineVerticalFieldOfView = <em>xrRenderState</em>.inlineVerticalFieldOfView;
</pre>

<h3 id="Value">Value</h3>

<p>A {{JSxRef("Number")}} for <code>"inline"</code> sessions, which represents the default field of view, and <code>null</code> for immersive sessions.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebXR','#dom-xrrenderstate-inlineVerticalFieldOfView','XRRenderState.inlineVerticalFieldOfView')}}</td>
   <td>{{Spec2('WebXR')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.XRRenderState.inlineVerticalFieldOfView")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{DOMxRef("XR.requestSession", "navigator.xr.requestSession()")}}</li>
 <li>{{DOMxRef("XR.isSessionSupported", "navigator.xr.isSessionSupported()")}}</li>
</ul>
